/**
 * Line path for bezier and straight line draw
 */
import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from 'tvrender/lib/core/PathProxy.js';
declare class GradientBarShape {
    points: {
        point: number[];
        color: string;
    }[];
    baseY: number;
    width: number;
}
interface GradientBarProps extends PathProps {
    shape: GradientBarShape;
}
declare class GradientBarPath extends graphic.Path<GradientBarProps> {
    type: string;
    shape: GradientBarShape;
    constructor(opts?: GradientBarProps);
    getDefaultStyle(): {
        stroke: string;
        fill: string;
    };
    getDefaultShape(): GradientBarShape;
    buildPath(ctx: PathProxy, shape: GradientBarShape): void;
}
export default GradientBarPath;
